package com.schisandra.oss.infra.basic.service;

import com.schisandra.oss.infra.basic.entity.SchisandraOssQingyun;

/**
 * 青云对象存储配置表 表服务接口
 *
 * @author landaiqing
 * @since 2024-06-02 22:21:09
 */
public interface SchisandraOssQingyunService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraOssQingyun queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraOssQingyun 实例对象
     * @return 实例对象
     */
    int insert(SchisandraOssQingyun schisandraOssQingyun);

    /**
     * 修改数据
     *
     * @param schisandraOssQingyun 实例对象
     * @return 实例对象
     */
    int update(SchisandraOssQingyun schisandraOssQingyun);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


}
